petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFormatConvert

Takes a PETSc format string and converts it to a reqular C format string

### Synopsis

    PetscErrorCode  PetscFormatConvert(const char *format,char *newformat,size_t size)

### Input Parameters

| format | - the PETSc format string Many br
| newformat | - the location to put the standard C format string values Many br
| size | - the length of newformat Many br

Note: this exists so we can have the same code when PetscInt is either int or long long and PetscScalar is either __float128, double, or float Many br

Many br

Level:developer
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages